~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

TOMOYO Linux Cross Reference
Linux/tools/time/udelay_test.sh

Version: ~ [ linux-6.11.5 ] ~ [ linux-6.10.14 ] ~ [ linux-6.9.12 ] ~ [ linux-6.8.12 ] ~ [ linux-6.7.12 ] ~ [ linux-6.6.58 ] ~ [ linux-6.5.13 ] ~ [ linux-6.4.16 ] ~ [ linux-6.3.13 ] ~ [ linux-6.2.16 ] ~ [ linux-6.1.114 ] ~ [ linux-6.0.19 ] ~ [ linux-5.19.17 ] ~ [ linux-5.18.19 ] ~ [ linux-5.17.15 ] ~ [ linux-5.16.20 ] ~ [ linux-5.15.169 ] ~ [ linux-5.14.21 ] ~ [ linux-5.13.19 ] ~ [ linux-5.12.19 ] ~ [ linux-5.11.22 ] ~ [ linux-5.10.228 ] ~ [ linux-5.9.16 ] ~ [ linux-5.8.18 ] ~ [ linux-5.7.19 ] ~ [ linux-5.6.19 ] ~ [ linux-5.5.19 ] ~ [ linux-5.4.284 ] ~ [ linux-5.3.18 ] ~ [ linux-5.2.21 ] ~ [ linux-5.1.21 ] ~ [ linux-5.0.21 ] ~ [ linux-4.20.17 ] ~ [ linux-4.19.322 ] ~ [ linux-4.18.20 ] ~ [ linux-4.17.19 ] ~ [ linux-4.16.18 ] ~ [ linux-4.15.18 ] ~ [ linux-4.14.336 ] ~ [ linux-4.13.16 ] ~ [ linux-4.12.14 ] ~ [ linux-4.11.12 ] ~ [ linux-4.10.17 ] ~ [ linux-4.9.337 ] ~ [ linux-4.4.302 ] ~ [ linux-3.10.108 ] ~ [ linux-2.6.32.71 ] ~ [ linux-2.6.0 ] ~ [ linux-2.4.37.11 ] ~ [ unix-v6-master ] ~ [ ccs-tools-1.8.9 ] ~ [ policy-sample ] ~
Architecture: ~ [ i386 ] ~ [ alpha ] ~ [ m68k ] ~ [ mips ] ~ [ ppc ] ~ [ sparc ] ~ [ sparc64 ] ~

Diff markup

Differences between /tools/time/udelay_test.sh (Version linux-6.11.5) and /tools/time/udelay_test.sh (Version linux-2.6.0)


  1 #!/bin/bash                                       
  2 # SPDX-License-Identifier: GPL-2.0-only           
  3                                                   
  4 # udelay() test script                            
  5 #                                                 
  6 # Test is executed by writing and reading to /    
  7 # and exercises a variety of delays to ensure     
  8 # at least as long as requested (as compared t    
  9 #                                                 
 10 # Copyright (C) 2014 Google, Inc.                 
 11 #                                                 
 12                                                   
 13 MODULE_NAME=udelay_test                           
 14 UDELAY_PATH=/sys/kernel/debug/udelay_test         
 15                                                   
 16 setup()                                           
 17 {                                                 
 18         /sbin/modprobe -q $MODULE_NAME            
 19         tmp_file=`mktemp`                         
 20 }                                                 
 21                                                   
 22 test_one()                                        
 23 {                                                 
 24         delay=$1                                  
 25         echo $delay > $UDELAY_PATH                
 26         tee -a $tmp_file < $UDELAY_PATH           
 27 }                                                 
 28                                                   
 29 cleanup()                                         
 30 {                                                 
 31         if [ -f $tmp_file ]; then                 
 32                 rm $tmp_file                      
 33         fi                                        
 34         /sbin/modprobe -q -r $MODULE_NAME         
 35 }                                                 
 36                                                   
 37 trap cleanup EXIT                                 
 38 setup                                             
 39                                                   
 40 # Delay for a variety of times.                   
 41 # 1..200, 200..500 (by 10), 500..2000 (by 100)    
 42 for (( delay = 1; delay < 200; delay += 1 ));     
 43         test_one $delay                           
 44 done                                              
 45 for (( delay = 200; delay < 500; delay += 10 )    
 46         test_one $delay                           
 47 done                                              
 48 for (( delay = 500; delay <= 2000; delay += 10    
 49         test_one $delay                           
 50 done                                              
 51                                                   
 52 # Search for failures                             
 53 count=`grep -c FAIL $tmp_file`                    
 54 if [ $? -eq "0" ]; then                           
 55         echo "ERROR: $count delays failed to d    
 56         retcode=1                                 
 57 fi                                                
 58                                                   
 59 exit $retcode                                     
                                                      

~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

kernel.org | git.kernel.org | LWN.net | Project Home | SVN repository | Mail admin

Linux® is a registered trademark of Linus Torvalds in the United States and other countries.
TOMOYO® is a registered trademark of NTT DATA CORPORATION.

sflogo.php